### Virtual Method

# GObject Object get_property

#### Declaration

    void
    get_property (
      GObject* object,
      guint property_id,
      GValue* value,
      GParamSpec* pspec
    )

#### Description

The generic getter for all properties of this type. Should be overridden for every type with properties.

#### Parameters

`property_id`

  Type: `guint`

  No description available.

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the method.

`pspec`

  Type: `GParamSpec`

  No description available.

  The data is owned by the caller of the method.